Loading...
Searching...
No Matches
juce::Label::Listener Class Referenceabstract

## Detailed Description

A class for receiving events from a Label.

You can register a Label::Listener with a Label using the Label::addListener() method, and it will be called when the text of the label changes, either because of a call to Label::setText() or by the user editing the text (if the label is editable).

See also
  Label::addListener, Label::removeListener

The documentation for this class was generated from the following file:

- juce_gui_basics/widgets/juce_Label.h

## Public Member Functions

virtual | ~Listener ()=default
| Destructor.
virtual void | labelTextChanged (Label *labelThatHasChanged)=0
| Called when a Label's text has changed.
virtual void | editorShown (Label *, TextEditor &)
| Called when a Label goes into editing mode and displays a TextEditor.
virtual void | editorHidden (Label *, TextEditor &)
| Called when a Label is about to delete its TextEditor and exit editing mode.

## Constructors and Destructors

## ~Listener()

virtual juce::Label::Listener::~Listener | ( |  | ) |

virtual default

Destructor.

## Member Functions

## labelTextChanged()

virtual void juce::Label::Listener::labelTextChanged | ( | Label * | labelThatHasChanged | ) |

pure virtual

Called when a Label's text has changed.

References juce::Label::Label().

## editorShown()

virtual void juce::Label::Listener::editorShown | ( | Label * | ,
|  | TextEditor & | )

inline virtual

Called when a Label goes into editing mode and displays a TextEditor.

References juce::Label::Label().

## editorHidden()

virtual void juce::Label::Listener::editorHidden | ( | Label * | ,
|  | TextEditor & | )

inline virtual

Called when a Label is about to delete its TextEditor and exit editing mode.

References juce::Label::Label().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited